0

This notification from today:

New Community Edition 2.0.x Patch (MDVA-532) Enables Upgrades to Magento 2.1 – June 22, 2016 A new patch, MDVA-532, enables merchants using Magento Community Edition 2.0.x to upgrade to Magento 2.1 Community Edition Release Candidates or GA software. More information about the patch and important instructions for command-line upgrades to Magento 2.1 when sample data is installed are available in a technical bulletin posted at http://devdocs.magento.com/guides/v2.0/release-notes/tech_bull_21-upgrade.html.

Says that you are able to update to 2.1.0 but I could update only to 2.1.0-rc3.

After copying the patch over I edited the composer.json to request 2.1.0 but I get this error:

Problem 1
    - The requested package magento/product-community-edition 2.1.0 exists as magento/product-community-edition[2.1.0-rc3, 0.42.0-beta7, 2.0.0, 2.0.1, 2.0.2, 2.0.3, 2.0.4, 2.0.5, 2.0.6, 2.0.7, 2.1.0-rc1, 2.1.0-rc2] but these are rejected by your constraint.

I have 2.1.0-rc3. Is there anything else that I should do? The documentation mentions editing composer.lock only for EE.

0

Till now Magento 2.1 RC3 version is released only. There is no public release of Magento 2.1

Please refer Magento Community Edition 2.1 Release Candidate 3 Is Available for Testing!

The patch only fixes the issue with Magento composer-installer component. It is clearly mentioned on following link Technical Bulletin - Upgrade to Magento version 2.1

Upgrade to Magento CE or EE version 2.1 without sample data

Upgrades to version 2.1 without sample data can fail because of an issue with the Magento composer-installer component. It doesn’t correctly detect code changes and therefore doesn’t update the cache and compiled code directories properly. As a result, fatal errors display during the upgrade. To address the issue, you must apply a patch.

Update Magento 2.1 has been released officially, Please read - Introducing Magento 2.1: Content Staging & Preview, Site Search & New PayPal Features

  • surely that's not what somebody understands from that message More information about the patch and important instructions for command-line upgrades to Magento 2.1 – Claudiu Creanga Jun 23 '16 at 10:04
  • @ClaudiuCreanga Magento 2.1 has been released – Mukesh Jun 23 '16 at 18:56

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.